package com.mortals.xhx.module.care.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.care.model.CareConstraintTrackEntity;
/**
* 主动关怀服务追踪查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class CareConstraintTrackQuery extends CareConstraintTrackEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 主键ID排除列表 */
    private List <Long> idNotList;

    /** 开始 主动关怀约束Id */
    private Long careIdStart;

    /** 结束 主动关怀约束Id */
    private Long careIdEnd;

    /** 增加 主动关怀约束Id */
    private Long careIdIncrement;

    /** 主动关怀约束Id列表 */
    private List <Long> careIdList;

    /** 主动关怀约束Id排除列表 */
    private List <Long> careIdNotList;

    /** 开始 反馈人ID */
    private Long feedbackIdStart;

    /** 结束 反馈人ID */
    private Long feedbackIdEnd;

    /** 增加 反馈人ID */
    private Long feedbackIdIncrement;

    /** 反馈人ID列表 */
    private List <Long> feedbackIdList;

    /** 反馈人ID排除列表 */
    private List <Long> feedbackIdNotList;

    /** 反馈人姓名 */
    private List<String> feedbackNameList;

    /** 反馈人姓名排除列表 */
    private List <String> feedbackNameNotList;
    /** 反馈内容 */
    private List<String> feedbackList;

    /** 反馈内容排除列表 */
    private List <String> feedbackNotList;
    /** 开始 跟踪时间 */
    private String feedbackTimeStart;

    /** 结束 跟踪时间 */
    private String feedbackTimeEnd;

    /** 创建方式 */
    private List<String> createMethodList;

    /** 创建方式排除列表 */
    private List <String> createMethodNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人ID */
    private Long createUserIdStart;

    /** 结束 创建人ID */
    private Long createUserIdEnd;

    /** 增加 创建人ID */
    private Long createUserIdIncrement;

    /** 创建人ID列表 */
    private List <Long> createUserIdList;

    /** 创建人ID排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人ID */
    private Long updateUserIdStart;

    /** 结束 更新人ID */
    private Long updateUserIdEnd;

    /** 增加 更新人ID */
    private Long updateUserIdIncrement;

    /** 更新人ID列表 */
    private List <Long> updateUserIdList;

    /** 更新人ID排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareConstraintTrackQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareConstraintTrackQuery> andConditionList;

    public CareConstraintTrackQuery(){}

    /**
    * 获取 开始 主键ID
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 主动关怀约束Id
    * @return careIdStart
    */
    public Long getCareIdStart(){
        return this.careIdStart;
    }

    /**
    * 设置 开始 主动关怀约束Id
    * @param careIdStart
    */
    public void setCareIdStart(Long careIdStart){
        this.careIdStart = careIdStart;
    }

    /**
    * 获取 结束 主动关怀约束Id
    * @return $careIdEnd
    */
    public Long getCareIdEnd(){
        return this.careIdEnd;
    }

    /**
    * 设置 结束 主动关怀约束Id
    * @param careIdEnd
    */
    public void setCareIdEnd(Long careIdEnd){
        this.careIdEnd = careIdEnd;
    }

    /**
    * 获取 增加 主动关怀约束Id
    * @return careIdIncrement
    */
    public Long getCareIdIncrement(){
        return this.careIdIncrement;
    }

    /**
    * 设置 增加 主动关怀约束Id
    * @param careIdIncrement
    */
    public void setCareIdIncrement(Long careIdIncrement){
        this.careIdIncrement = careIdIncrement;
    }

    /**
    * 获取 主动关怀约束Id
    * @return careIdList
    */
    public List<Long> getCareIdList(){
        return this.careIdList;
    }

    /**
    * 设置 主动关怀约束Id
    * @param careIdList
    */
    public void setCareIdList(List<Long> careIdList){
        this.careIdList = careIdList;
    }

    /**
    * 获取 主动关怀约束Id
    * @return careIdNotList
    */
    public List<Long> getCareIdNotList(){
        return this.careIdNotList;
    }

    /**
    * 设置 主动关怀约束Id
    * @param careIdNotList
    */
    public void setCareIdNotList(List<Long> careIdNotList){
        this.careIdNotList = careIdNotList;
    }


    /**
    * 获取 开始 反馈人ID
    * @return feedbackIdStart
    */
    public Long getFeedbackIdStart(){
        return this.feedbackIdStart;
    }

    /**
    * 设置 开始 反馈人ID
    * @param feedbackIdStart
    */
    public void setFeedbackIdStart(Long feedbackIdStart){
        this.feedbackIdStart = feedbackIdStart;
    }

    /**
    * 获取 结束 反馈人ID
    * @return $feedbackIdEnd
    */
    public Long getFeedbackIdEnd(){
        return this.feedbackIdEnd;
    }

    /**
    * 设置 结束 反馈人ID
    * @param feedbackIdEnd
    */
    public void setFeedbackIdEnd(Long feedbackIdEnd){
        this.feedbackIdEnd = feedbackIdEnd;
    }

    /**
    * 获取 增加 反馈人ID
    * @return feedbackIdIncrement
    */
    public Long getFeedbackIdIncrement(){
        return this.feedbackIdIncrement;
    }

    /**
    * 设置 增加 反馈人ID
    * @param feedbackIdIncrement
    */
    public void setFeedbackIdIncrement(Long feedbackIdIncrement){
        this.feedbackIdIncrement = feedbackIdIncrement;
    }

    /**
    * 获取 反馈人ID
    * @return feedbackIdList
    */
    public List<Long> getFeedbackIdList(){
        return this.feedbackIdList;
    }

    /**
    * 设置 反馈人ID
    * @param feedbackIdList
    */
    public void setFeedbackIdList(List<Long> feedbackIdList){
        this.feedbackIdList = feedbackIdList;
    }

    /**
    * 获取 反馈人ID
    * @return feedbackIdNotList
    */
    public List<Long> getFeedbackIdNotList(){
        return this.feedbackIdNotList;
    }

    /**
    * 设置 反馈人ID
    * @param feedbackIdNotList
    */
    public void setFeedbackIdNotList(List<Long> feedbackIdNotList){
        this.feedbackIdNotList = feedbackIdNotList;
    }


    /**
    * 获取 反馈人姓名
    * @return feedbackNameList
    */
    public List<String> getFeedbackNameList(){
        return this.feedbackNameList;
    }

    /**
    * 设置 反馈人姓名
    * @param feedbackNameList
    */
    public void setFeedbackNameList(List<String> feedbackNameList){
        this.feedbackNameList = feedbackNameList;
    }

    /**
    * 获取 反馈人姓名
    * @return feedbackNameNotList
    */
    public List<String> getFeedbackNameNotList(){
        return this.feedbackNameNotList;
    }

    /**
    * 设置 反馈人姓名
    * @param feedbackNameNotList
    */
    public void setFeedbackNameNotList(List<String> feedbackNameNotList){
        this.feedbackNameNotList = feedbackNameNotList;
    }

    /**
    * 获取 反馈内容
    * @return feedbackList
    */
    public List<String> getFeedbackList(){
        return this.feedbackList;
    }

    /**
    * 设置 反馈内容
    * @param feedbackList
    */
    public void setFeedbackList(List<String> feedbackList){
        this.feedbackList = feedbackList;
    }

    /**
    * 获取 反馈内容
    * @return feedbackNotList
    */
    public List<String> getFeedbackNotList(){
        return this.feedbackNotList;
    }

    /**
    * 设置 反馈内容
    * @param feedbackNotList
    */
    public void setFeedbackNotList(List<String> feedbackNotList){
        this.feedbackNotList = feedbackNotList;
    }

    /**
    * 获取 开始 跟踪时间
    * @return feedbackTimeStart
    */
    public String getFeedbackTimeStart(){
        return this.feedbackTimeStart;
    }

    /**
    * 设置 开始 跟踪时间
    * @param feedbackTimeStart
    */
    public void setFeedbackTimeStart(String feedbackTimeStart){
        this.feedbackTimeStart = feedbackTimeStart;
    }

    /**
    * 获取 结束 跟踪时间
    * @return feedbackTimeEnd
    */
    public String getFeedbackTimeEnd(){
        return this.feedbackTimeEnd;
    }

    /**
    * 设置 结束 跟踪时间
    * @param feedbackTimeEnd
    */
    public void setFeedbackTimeEnd(String feedbackTimeEnd){
        this.feedbackTimeEnd = feedbackTimeEnd;
    }

    /**
    * 获取 创建方式
    * @return createMethodList
    */
    public List<String> getCreateMethodList(){
        return this.createMethodList;
    }

    /**
    * 设置 创建方式
    * @param createMethodList
    */
    public void setCreateMethodList(List<String> createMethodList){
        this.createMethodList = createMethodList;
    }

    /**
    * 获取 创建方式
    * @return createMethodNotList
    */
    public List<String> getCreateMethodNotList(){
        return this.createMethodNotList;
    }

    /**
    * 设置 创建方式
    * @param createMethodNotList
    */
    public void setCreateMethodNotList(List<String> createMethodNotList){
        this.createMethodNotList = createMethodNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人ID
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人ID
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人ID
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人ID
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人ID
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人ID
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人ID
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人ID
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID
    * @param id
    */
    public CareConstraintTrackQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID
    * @param idStart
    */
    public CareConstraintTrackQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID
    * @param idEnd
    */
    public CareConstraintTrackQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID
    * @param idIncrement
    */
    public CareConstraintTrackQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public CareConstraintTrackQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID
        * @param idNotList
        */
        public CareConstraintTrackQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  主动关怀约束Id
    * @param careId
    */
    public CareConstraintTrackQuery careId(Long careId){
	    setCareId(careId);
		return this;
    }
	
	 /**
    * 设置 开始 主动关怀约束Id
    * @param careIdStart
    */
    public CareConstraintTrackQuery careIdStart(Long careIdStart){
		this.careIdStart = careIdStart;
		return this;
    }

    /**
    * 设置 结束 主动关怀约束Id
    * @param careIdEnd
    */
    public CareConstraintTrackQuery careIdEnd(Long careIdEnd){
		this.careIdEnd = careIdEnd;
		return this;
    }

    /**
    * 设置 增加 主动关怀约束Id
    * @param careIdIncrement
    */
    public CareConstraintTrackQuery careIdIncrement(Long careIdIncrement){
		this.careIdIncrement = careIdIncrement;
		return this;
    }

    /**
    * 设置 主动关怀约束Id
    * @param careIdList
    */
    public CareConstraintTrackQuery careIdList(List<Long> careIdList){
        this.careIdList = careIdList;
		return this;
        }

        /**
        * 设置 主动关怀约束Id
        * @param careIdNotList
        */
        public CareConstraintTrackQuery careIdNotList(List<Long> careIdNotList){
        this.careIdNotList = careIdNotList;
        return this;
        }

    /**
    * 设置  反馈人ID
    * @param feedbackId
    */
    public CareConstraintTrackQuery feedbackId(Long feedbackId){
	    setFeedbackId(feedbackId);
		return this;
    }
	
	 /**
    * 设置 开始 反馈人ID
    * @param feedbackIdStart
    */
    public CareConstraintTrackQuery feedbackIdStart(Long feedbackIdStart){
		this.feedbackIdStart = feedbackIdStart;
		return this;
    }

    /**
    * 设置 结束 反馈人ID
    * @param feedbackIdEnd
    */
    public CareConstraintTrackQuery feedbackIdEnd(Long feedbackIdEnd){
		this.feedbackIdEnd = feedbackIdEnd;
		return this;
    }

    /**
    * 设置 增加 反馈人ID
    * @param feedbackIdIncrement
    */
    public CareConstraintTrackQuery feedbackIdIncrement(Long feedbackIdIncrement){
		this.feedbackIdIncrement = feedbackIdIncrement;
		return this;
    }

    /**
    * 设置 反馈人ID
    * @param feedbackIdList
    */
    public CareConstraintTrackQuery feedbackIdList(List<Long> feedbackIdList){
        this.feedbackIdList = feedbackIdList;
		return this;
        }

        /**
        * 设置 反馈人ID
        * @param feedbackIdNotList
        */
        public CareConstraintTrackQuery feedbackIdNotList(List<Long> feedbackIdNotList){
        this.feedbackIdNotList = feedbackIdNotList;
        return this;
        }


	/**
    * 设置 反馈人姓名
    * @param feedbackName
    */
    public CareConstraintTrackQuery feedbackName(String feedbackName){
        setFeedbackName(feedbackName);
		return this;
    }

    /**
    * 设置 反馈人姓名
    * @param feedbackNameList
    */
    public CareConstraintTrackQuery feedbackNameList(List<String> feedbackNameList){
        this.feedbackNameList = feedbackNameList;
		return this;
    }


	/**
    * 设置 反馈内容
    * @param feedback
    */
    public CareConstraintTrackQuery feedback(String feedback){
        setFeedback(feedback);
		return this;
    }

    /**
    * 设置 反馈内容
    * @param feedbackList
    */
    public CareConstraintTrackQuery feedbackList(List<String> feedbackList){
        this.feedbackList = feedbackList;
		return this;
    }



	/**
    * 设置 创建方式
    * @param createMethod
    */
    public CareConstraintTrackQuery createMethod(String createMethod){
        setCreateMethod(createMethod);
		return this;
    }

    /**
    * 设置 创建方式
    * @param createMethodList
    */
    public CareConstraintTrackQuery createMethodList(List<String> createMethodList){
        this.createMethodList = createMethodList;
		return this;
    }


    /**
    * 设置  创建人ID
    * @param createUserId
    */
    public CareConstraintTrackQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人ID
    * @param createUserIdStart
    */
    public CareConstraintTrackQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人ID
    * @param createUserIdEnd
    */
    public CareConstraintTrackQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人ID
    * @param createUserIdIncrement
    */
    public CareConstraintTrackQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人ID
    * @param createUserIdList
    */
    public CareConstraintTrackQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人ID
        * @param createUserIdNotList
        */
        public CareConstraintTrackQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人ID
    * @param updateUserId
    */
    public CareConstraintTrackQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人ID
    * @param updateUserIdStart
    */
    public CareConstraintTrackQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人ID
    * @param updateUserIdEnd
    */
    public CareConstraintTrackQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人ID
    * @param updateUserIdIncrement
    */
    public CareConstraintTrackQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人ID
    * @param updateUserIdList
    */
    public CareConstraintTrackQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人ID
        * @param updateUserIdNotList
        */
        public CareConstraintTrackQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareConstraintTrackQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareConstraintTrackQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareConstraintTrackQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareConstraintTrackQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}